Retrieves the user_planning_slot_type with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot_type
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the user planning slot type.

string

Required

Max length: 50

background_color

User can select amongst any color.

string

Max length: 7

sales_organization_id

Organization on which belongs the user planning slot type

globally unique identifier

Required

is_support

To specify if this slot inform the user he is "on call" during that period.

boolean
show_on_user_job_list

to specify if need to be shown on wo list.

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "26a0c86f-3b81-4f75-8e85-20b58dd38530",
  "name": "sample string 2",
  "background_color": "sample ",
  "sales_organization_id": "cd8da2f6-a734-4457-ac60-6a83e520c735",
  "is_support": true,
  "show_on_user_job_list": true,
  "modified_dateutc": "2026-10-29T11:58:27.5337974+00:00"
}